# Copyright 2015 Cisco Systems, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

"""
This is a auto-generated helper module for bios token configuration

"""


bios_tokens_table = {
    "classic": {
        "aspmSupport": {"mo_name": "BiosVfASPMSupport", "prop_name": "vp_aspm_support"},
        "acpiSratSpFlagEn": {"mo_name": "BiosVfAcpiSratSpFlagEn", "prop_name": "vp_acpi_srat_sp_flag_en"},
        "adaptiveRefreshMgmtLevel": {"mo_name": "BiosVfAdaptiveRefreshMgmtLevel", "prop_name": "vp_adaptive_refresh_mgmt_level"},
        "adjacentCacheLinePrefetch": {"mo_name": "BiosVfAdjacentCacheLinePrefetch", "prop_name": "vp_adjacent_cache_line_prefetch"},
        "advancedMemTest": {"mo_name": "BiosVfAdvancedMemTest", "prop_name": "vp_advanced_mem_test"},
        "altitude": {"mo_name": "BiosVfAltitude", "prop_name": "vp_altitude"},
        "assertNmiOnPerr": {"mo_name": "BiosVfAssertNMIOnPERR", "prop_name": "vp_assert_nmi_on_perr"},
        "assertNmiOnSerr": {"mo_name": "BiosVfAssertNMIOnSERR", "prop_name": "vp_assert_nmi_on_serr"},
        "autoCcState": {"mo_name": "BiosVfAutoCCState", "prop_name": "vp_auto_cc_state"},
        "autonumousCstateEnable": {"mo_name": "BiosVfAutonumousCstateEnable", "prop_name": "vp_autonumous_cstate_enable"},
        "bmeDmaMitigation": {"mo_name": "BiosVfBmeDmaMitigation", "prop_name": "vp_bme_dma_mitigation"},
        "bootOptionNumRetry": {"mo_name": "BiosVfBootOptionNumRetry", "prop_name": "vp_boot_option_num_retry"},
        "bootOptionReCoolDown": {"mo_name": "BiosVfBootOptionReCoolDown", "prop_name": "vp_boot_option_re_cool_down"},
        "bootOptionRetry": {"mo_name": "BiosVfBootOptionRetry", "prop_name": "vp_boot_option_retry"},
        "bootPerformanceMode": {"mo_name": "BiosVfBootPerformanceMode", "prop_name": "vp_boot_performance_mode"},
        "burstAndPostponedRefresh": {"mo_name": "BiosVfBurstAndPostponedRefresh", "prop_name": "vp_burst_and_postponed_refresh"},
        "c1autoDemotion": {"mo_name": "BiosVfC1AutoDemotion", "prop_name": "vp_c1_auto_demotion"},
        "c1autoUnDemotion": {"mo_name": "BiosVfC1AutoUnDemotion", "prop_name": "vp_c1_auto_un_demotion"},
        "cdnEnable": {"mo_name": "BiosVfCDNEnable", "prop_name": "vp_cdn_enable"},
        "cdnSupport": {"mo_name": "BiosVfCDNSupport", "prop_name": "vp_cdn_support"},
        "cpuEnergyPerformance": {"mo_name": "BiosVfCPUEnergyPerformance", "prop_name": "vp_cpu_energy_performance"},
        "cpuFrequencyFloor": {"mo_name": "BiosVfCPUFrequencyFloor", "prop_name": "vp_cpu_frequency_floor"},
        "cpuPerformance": {"mo_name": "BiosVfCPUPerformance", "prop_name": "vp_cpu_performance"},
        "cpuPowerManagement": {"mo_name": "BiosVfCPUPowerManagement", "prop_name": "vp_cpu_power_management"},
        "crQos": {"mo_name": "BiosVfCRQos", "prop_name": "vp_cr_qos"},
        "cbsCmnApbdis": {"mo_name": "BiosVfCbsCmnApbdis", "prop_name": "vp_cbs_cmn_apbdis"},
        "cbsCmnApbdisDfPstateRs": {"mo_name": "BiosVfCbsCmnApbdisDfPstateRs", "prop_name": "vp_cbs_cmn_apbdis_df_pstate_rs"},
        "cbsCmnCpuAvx512": {"mo_name": "BiosVfCbsCmnCpuAvx512", "prop_name": "vp_cbs_cmn_cpu_avx512"},
        "cbsCmnCpuCpb": {"mo_name": "BiosVfCbsCmnCpuCpb", "prop_name": "vp_cbs_cmn_cpu_cpb"},
        "cbsCmnCpuGenDowncoreCtrl": {"mo_name": "BiosVfCbsCmnCpuGenDowncoreCtrl", "prop_name": "vp_cbs_cmn_cpu_gen_downcore_ctrl"},
        "cbsCmnCpuGlobalCstateCtrl": {"mo_name": "BiosVfCbsCmnCpuGlobalCstateCtrl", "prop_name": "vp_cbs_cmn_cpu_global_cstate_ctrl"},
        "cbsCmnCpuL1streamHwPrefetcher": {"mo_name": "BiosVfCbsCmnCpuL1StreamHwPrefetcher", "prop_name": "vp_cbs_cmn_cpu_l1_stream_hw_prefetcher"},
        "cbsCmnCpuL2streamHwPrefetcher": {"mo_name": "BiosVfCbsCmnCpuL2StreamHwPrefetcher", "prop_name": "vp_cbs_cmn_cpu_l2_stream_hw_prefetcher"},
        "cbsCmnCpuSevAsidSpaceLimit": {"mo_name": "BiosVfCbsCmnCpuSevAsidSpaceLimit", "prop_name": "vp_cbs_cmn_cpu_sev_asid_space_limit"},
        "cbsCmnCpuSmee": {"mo_name": "BiosVfCbsCmnCpuSmee", "prop_name": "vp_cbs_cmn_cpu_smee"},
        "cbsCmnCpuStreamingStoresCtrl": {"mo_name": "BiosVfCbsCmnCpuStreamingStoresCtrl", "prop_name": "vp_cbs_cmn_cpu_streaming_stores_ctrl"},
        "cbsCmnDeterminismSlider": {"mo_name": "BiosVfCbsCmnDeterminismSlider", "prop_name": "vp_cbs_cmn_determinism_slider"},
        "cbsCmnEdcControlThrottle": {"mo_name": "BiosVfCbsCmnEdcControlThrottle", "prop_name": "vp_cbs_cmn_edc_control_throttle"},
        "cbsCmnEfficiencyModeEn": {"mo_name": "BiosVfCbsCmnEfficiencyModeEn", "prop_name": "vp_cbs_cmn_efficiency_mode_en"},
        "cbsCmnEfficiencyModeEnRs": {"mo_name": "BiosVfCbsCmnEfficiencyModeEnRs", "prop_name": "vp_cbs_cmn_efficiency_mode_en_rs"},
        "cbsCmnFixedSocPstate": {"mo_name": "BiosVfCbsCmnFixedSocPstate", "prop_name": "vp_cbs_cmn_fixed_soc_pstate"},
        "cbsCmnGnbNbIommu": {"mo_name": "BiosVfCbsCmnGnbNbIOMMU", "prop_name": "vp_cbs_cmn_gnb_nb_iommu"},
        "cbsCmnGnbSmucppc": {"mo_name": "BiosVfCbsCmnGnbSMUCPPC", "prop_name": "vp_cbs_cmn_gnb_smucppc"},
        "cbsCmnGnbSmuDfCstates": {"mo_name": "BiosVfCbsCmnGnbSMUDfCstates", "prop_name": "vp_cbs_cmn_gnb_smu_df_cstates"},
        "cbsCmnGnbSmuDffoRs": {"mo_name": "BiosVfCbsCmnGnbSMUDffoRs", "prop_name": "vp_cbs_cmn_gnb_smu_dffo_rs"},
        "cbsCmnGnbSmuDlwmSupport": {"mo_name": "BiosVfCbsCmnGnbSMUDlwmSupport", "prop_name": "vp_cbs_cmn_gnb_smu_dlwm_support"},
        "cbsCmnMemCtrlBankGroupSwapDdr4": {"mo_name": "BiosVfCbsCmnMemCtrlBankGroupSwapDdr4", "prop_name": "vp_cbs_cmn_mem_ctrl_bank_group_swap_ddr4"},
        "cbsCmnMemCtrllerPwrDnEnDdr": {"mo_name": "BiosVfCbsCmnMemCtrllerPwrDnEnDdr", "prop_name": "vp_cbs_cmn_mem_ctrller_pwr_dn_en_ddr"},
        "cbsCmnMemMapBankInterleaveDdr4": {"mo_name": "BiosVfCbsCmnMemMapBankInterleaveDdr4", "prop_name": "vp_cbs_cmn_mem_map_bank_interleave_ddr4"},
        "cbsCmnMemSpeedDdr47xx2": {"mo_name": "BiosVfCbsCmnMemSpeedDdr47xx2", "prop_name": "vp_cbs_cmn_mem_speed_ddr47xx2"},
        "cbsCmnMemSpeedDdr47xx3": {"mo_name": "BiosVfCbsCmnMemSpeedDdr47xx3", "prop_name": "vp_cbs_cmn_mem_speed_ddr47xx3"},
        "cbsCmnPreferredIo7xx2": {"mo_name": "BiosVfCbsCmnPreferredIO7xx2", "prop_name": "vp_cbs_cmn_preferred_i_o7xx2"},
        "cbsCmnPreferredIo7xx3": {"mo_name": "BiosVfCbsCmnPreferredIO7xx3", "prop_name": "vp_cbs_cmn_preferred_i_o7xx3"},
        "cbsCmncTdpCtl": {"mo_name": "BiosVfCbsCmncTDPCtl", "prop_name": "vp_cbs_cmnc_tdp_ctl"},
        "cbsCmnxGmiForceLinkWidthRs": {"mo_name": "BiosVfCbsCmnxGmiForceLinkWidthRs", "prop_name": "vp_cbs_cmnx_gmi_force_link_width_rs"},
        "cbsCpuCcdCtrlSsp": {"mo_name": "BiosVfCbsCpuCcdCtrlSsp", "prop_name": "vp_cbs_cpu_ccd_ctrl_ssp"},
        "cbsCpuCoreCtrl": {"mo_name": "BiosVfCbsCpuCoreCtrl", "prop_name": "vp_cbs_cpu_core_ctrl"},
        "cbsCpuDownCoreCtrlBergamo": {"mo_name": "BiosVfCbsCpuDownCoreCtrlBergamo", "prop_name": "vp_cbs_cpu_down_core_ctrl_bergamo"},
        "cbsCpuDownCoreCtrlGenoa": {"mo_name": "BiosVfCbsCpuDownCoreCtrlGenoa", "prop_name": "vp_cbs_cpu_down_core_ctrl_genoa"},
        "cbsCpuSmtCtrl": {"mo_name": "BiosVfCbsCpuSmtCtrl", "prop_name": "vp_cbs_cpu_smt_ctrl"},
        "cbsDbgCpuGenCpuWdt": {"mo_name": "BiosVfCbsDbgCpuGenCpuWdt", "prop_name": "vp_cbs_dbg_cpu_gen_cpu_wdt"},
        "cbsDbgCpuLapicMode": {"mo_name": "BiosVfCbsDbgCpuLApicMode", "prop_name": "vp_cbs_dbg_cpu_l_apic_mode"},
        "cbsDbgCpuSnpMemCover": {"mo_name": "BiosVfCbsDbgCpuSnpMemCover", "prop_name": "vp_cbs_dbg_cpu_snp_mem_cover"},
        "cbsDbgCpuSnpMemSizeCover": {"mo_name": "BiosVfCbsDbgCpuSnpMemSizeCover", "prop_name": "vp_cbs_dbg_cpu_snp_mem_size_cover"},
        "cbsDfCmn4linkMaxXgmiSpeed": {"mo_name": "BiosVfCbsDfCmn4LinkMaxXgmiSpeed", "prop_name": "vp_cbs_df_cmn4_link_max_xgmi_speed"},
        "cbsDfCmnAcpiSratL3numa": {"mo_name": "BiosVfCbsDfCmnAcpiSratL3Numa", "prop_name": "vp_cbs_df_cmn_acpi_srat_l3_numa"},
        "cbsDfCmnDramNps": {"mo_name": "BiosVfCbsDfCmnDramNps", "prop_name": "vp_cbs_df_cmn_dram_nps"},
        "cbsDfCmnDramScrubTime": {"mo_name": "BiosVfCbsDfCmnDramScrubTime", "prop_name": "vp_cbs_df_cmn_dram_scrub_time"},
        "cbsDfCmnMemIntlv": {"mo_name": "BiosVfCbsDfCmnMemIntlv", "prop_name": "vp_cbs_df_cmn_mem_intlv"},
        "cbsDfCmnMemIntlvControl": {"mo_name": "BiosVfCbsDfCmnMemIntlvControl", "prop_name": "vp_cbs_df_cmn_mem_intlv_control"},
        "cbsDfCmnMemIntlvSize": {"mo_name": "BiosVfCbsDfCmnMemIntlvSize", "prop_name": "vp_cbs_df_cmn_mem_intlv_size"},
        "cbsDfDbgXgmiLinkCfg": {"mo_name": "BiosVfCbsDfDbgXgmiLinkCfg", "prop_name": "vp_cbs_df_dbg_xgmi_link_cfg"},
        "cbsGnbDbgPcieTbtSupport": {"mo_name": "BiosVfCbsGnbDbgPcieTbtSupport", "prop_name": "vp_cbs_gnb_dbg_pcie_tbt_support"},
        "cbsSevSnpSupport": {"mo_name": "BiosVfCbsSevSnpSupport", "prop_name": "vp_cbs_sev_snp_support"},
        "ciscoAdaptiveMemTraining": {"mo_name": "BiosVfCiscoAdaptiveMemTraining", "prop_name": "vp_cisco_adaptive_mem_training"},
        "ciscoDebugLevel": {"mo_name": "BiosVfCiscoDebugLevel", "prop_name": "vp_cisco_debug_level"},
        "ciscoOpromLaunchOptimization": {"mo_name": "BiosVfCiscoOpromLaunchOptimization", "prop_name": "vp_cisco_oprom_launch_optimization"},
        "ciscoXgmiMaxSpeed": {"mo_name": "BiosVfCiscoXgmiMaxSpeed", "prop_name": "vp_cisco_xgmi_max_speed"},
        "ckeLowPolicy": {"mo_name": "BiosVfCkeLowPolicy", "prop_name": "vp_cke_low_policy"},
        "closedLoopThermThrotl": {"mo_name": "BiosVfClosedLoopThermThrotl", "prop_name": "vp_closed_loop_therm_throtl"},
        "cmciEnable": {"mo_name": "BiosVfCmciEnable", "prop_name": "vp_cmci_enable"},
        "configTdp": {"mo_name": "BiosVfConfigTDP", "prop_name": "vp_config_tdp"},
        "configTdpLevel": {"mo_name": "BiosVfConfigTDPLevel", "prop_name": "vp_config_tdp_level"},
        "baudRate": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_baud_rate"},
        "consoleRedirection": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_console_redirection"},
        "flowControl": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_flow_control"},
        "legacyOsRedirection": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_legacy_os_redirection"},
        "puttyKeyPad": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_putty_key_pad"},
        "redirectionAfterPost": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_redirection_after_post"},
        "terminalType": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_terminal_type"},
        "coreMultiProcessing": {"mo_name": "BiosVfCoreMultiProcessing", "prop_name": "vp_core_multi_processing"},
        "cpuPaLimit": {"mo_name": "BiosVfCpuPaLimit", "prop_name": "vp_cpu_pa_limit"},
        "cpuPerfEnhancement": {"mo_name": "BiosVfCpuPerfEnhancement", "prop_name": "vp_cpu_perf_enhancement"},
        "crfastgoConfig": {"mo_name": "BiosVfCrfastgoConfig", "prop_name": "vp_crfastgo_config"},
        "dcpmmFirmwareDowngrade": {"mo_name": "BiosVfDCPMMFirmwareDowngrade", "prop_name": "vp_dcpmm_firmware_downgrade"},
        "ipPrefetch": {"mo_name": "BiosVfDCUPrefetch", "prop_name": "vp_ip_prefetch"},
        "streamerPrefetch": {"mo_name": "BiosVfDCUPrefetch", "prop_name": "vp_streamer_prefetch"},
        "dramClockThrottling": {"mo_name": "BiosVfDRAMClockThrottling", "prop_name": "vp_dram_clock_throttling"},
        "demandScrub": {"mo_name": "BiosVfDemandScrub", "prop_name": "vp_demand_scrub"},
        "dfxOsbEn": {"mo_name": "BiosVfDfxOsbEn", "prop_name": "vp_dfx_osb_en"},
        "directCacheAccess": {"mo_name": "BiosVfDirectCacheAccess", "prop_name": "vp_direct_cache_access"},
        "dmaCtrlOptIn": {"mo_name": "BiosVfDmaCtrlOptIn", "prop_name": "vp_dma_ctrl_opt_in"},
        "dramRefreshRate": {"mo_name": "BiosVfDramRefreshRate", "prop_name": "vp_dram_refresh_rate"},
        "dramSwThermalThrottling": {"mo_name": "BiosVfDramSwThermalThrottling", "prop_name": "vp_dram_sw_thermal_throttling"},
        "eppEnable": {"mo_name": "BiosVfEPPEnable", "prop_name": "vp_epp_enable"},
        "eppProfile": {"mo_name": "BiosVfEPPProfile", "prop_name": "vp_epp_profile"},
        "eadrSupport": {"mo_name": "BiosVfEadrSupport", "prop_name": "vp_eadr_support"},
        "edpcEn": {"mo_name": "BiosVfEdpcEn", "prop_name": "vp_edpc_en"},
        "enableClockSpreadSpec": {"mo_name": "BiosVfEnableClockSpreadSpec", "prop_name": "vp_enable_clock_spread_spec"},
        "enableMktme": {"mo_name": "BiosVfEnableMktme", "prop_name": "vp_enable_mktme"},
        "enableRmt": {"mo_name": "BiosVfEnableRMT", "prop_name": "vp_enable_rmt"},
        "enableTdx": {"mo_name": "BiosVfEnableTdx", "prop_name": "vp_enable_tdx"},
        "enableTdxSeamldr": {"mo_name": "BiosVfEnableTdxSeamldr", "prop_name": "vp_enable_tdx_seamldr"},
        "enableTme": {"mo_name": "BiosVfEnableTme", "prop_name": "vp_enable_tme"},
        "energyEfficientTurbo": {"mo_name": "BiosVfEnergyEfficientTurbo", "prop_name": "vp_energy_efficient_turbo"},
        "engPerfTuning": {"mo_name": "BiosVfEngPerfTuning", "prop_name": "vp_eng_perf_tuning"},
        "enhancedIntelSpeedStepTech": {"mo_name": "BiosVfEnhancedIntelSpeedStepTech", "prop_name": "vp_enhanced_intel_speed_step_tech"},
        "epochUpdate": {"mo_name": "BiosVfEpochUpdate", "prop_name": "vp_epoch_update"},
        "errorCheckScrub": {"mo_name": "BiosVfErrorCheckScrub", "prop_name": "vp_error_check_scrub"},
        "executeDisableBit": {"mo_name": "BiosVfExecuteDisableBit", "prop_name": "vp_execute_disable_bit"},
        "extendedApic": {"mo_name": "BiosVfExtendedAPIC", "prop_name": "vp_extended_apic"},
        "frb2enable": {"mo_name": "BiosVfFRB2Enable", "prop_name": "vp_fr_b2_enable"},
        "hwpmEnable": {"mo_name": "BiosVfHWPMEnable", "prop_name": "vp_hwpm_enable"},
        "hardwarePrefetch": {"mo_name": "BiosVfHardwarePrefetch", "prop_name": "vp_hardware_prefetch"},
        "imcInterleave": {"mo_name": "BiosVfIMCInterleave", "prop_name": "vp_imc_interleave"},
        "ioatConfigCpm": {"mo_name": "BiosVfIOATConfigCpm", "prop_name": "vp_ioat_config_cpm"},
        "iohResource": {"mo_name": "BiosVfIOHResource", "prop_name": "vp_ioh_resource"},
        "ipv4http": {"mo_name": "BiosVfIPV4HTTP", "prop_name": "vp_ip_v4_http"},
        "ipv4pxe": {"mo_name": "BiosVfIPV4PXE", "prop_name": "vp_ip_v4_pxe"},
        "ipv6http": {"mo_name": "BiosVfIPV6HTTP", "prop_name": "vp_ip_v6_http"},
        "ipv6pxe": {"mo_name": "BiosVfIPV6PXE", "prop_name": "vp_ip_v6_pxe"},
        "intelDynamicSpeedSelect": {"mo_name": "BiosVfIntelDynamicSpeedSelect", "prop_name": "vp_intel_dynamic_speed_select"},
        "intelHyperThreadingTech": {"mo_name": "BiosVfIntelHyperThreadingTech", "prop_name": "vp_intel_hyper_threading_tech"},
        "intelSpeedSelect": {"mo_name": "BiosVfIntelSpeedSelect", "prop_name": "vp_intel_speed_select"},
        "intelTurboBoostTech": {"mo_name": "BiosVfIntelTurboBoostTech", "prop_name": "vp_intel_turbo_boost_tech"},
        "intelVtdatsSupport": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtdats_support"},
        "intelVtdCoherencySupport": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtd_coherency_support"},
        "intelVtdInterruptRemapping": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtd_interrupt_remapping"},
        "intelVtdPassThroughDmaSupport": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtd_pass_through_dma_support"},
        "intelVtForDirectedIo": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vt_for_directed_io"},
        "intelVirtualizationTechnology": {"mo_name": "BiosVfIntelVirtualizationTechnology", "prop_name": "vp_intel_virtualization_technology"},
        "iohErrorEnable": {"mo_name": "BiosVfIohErrorEn", "prop_name": "vp_ioh_error_enable"},
        "ktiPrefetch": {"mo_name": "BiosVfKTIPrefetch", "prop_name": "vp_kti_prefetch"},
        "llcAlloc": {"mo_name": "BiosVfLLCAlloc", "prop_name": "vp_llc_alloc"},
        "llcPrefetch": {"mo_name": "BiosVfLLCPrefetch", "prop_name": "vp_llc_prefetch"},
        "lomPort0state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port0_state"},
        "lomPort1state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port1_state"},
        "lomPort2state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port2_state"},
        "lomPort3state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port3_state"},
        "lomPortsAllState": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_ports_all_state"},
        "legacyUsbSupport": {"mo_name": "BiosVfLegacyUSBSupport", "prop_name": "vp_legacy_usb_support"},
        "lvDdrMode": {"mo_name": "BiosVfLvDIMMSupport", "prop_name": "vp_lv_ddr_mode"},
        "mmcfgBase": {"mo_name": "BiosVfMMCFGBase", "prop_name": "vp_mmcfg_base"},
        "memoryBandwidthBoost": {"mo_name": "BiosVfMemoryBandwidthBoost", "prop_name": "vp_memory_bandwidth_boost"},
        "channelInterLeave": {"mo_name": "BiosVfMemoryInterleave", "prop_name": "vp_channel_inter_leave"},
        "memoryInterLeave": {"mo_name": "BiosVfMemoryInterleave", "prop_name": "vp_memory_inter_leave"},
        "rankInterLeave": {"mo_name": "BiosVfMemoryInterleave", "prop_name": "vp_rank_inter_leave"},
        "memoryMappedIoAbove4gb": {"mo_name": "BiosVfMemoryMappedIOAbove4GB", "prop_name": "vp_memory_mapped_io_above4_gb"},
        "memoryRefreshRate": {"mo_name": "BiosVfMemoryRefreshRate", "prop_name": "vp_memory_refresh_rate"},
        "memorySizeLimit": {"mo_name": "BiosVfMemorySizeLimit", "prop_name": "vp_memory_size_limit"},
        "memoryThermalThrottling": {"mo_name": "BiosVfMemoryThermalThrottling", "prop_name": "vp_memory_thermal_throttling"},
        "mirroringMode": {"mo_name": "BiosVfMirroringMode", "prop_name": "vp_mirroring_mode"},
        "mmiohBase": {"mo_name": "BiosVfMmiohBase", "prop_name": "vp_mmioh_base"},
        "mmiohSize": {"mo_name": "BiosVfMmiohSize", "prop_name": "vp_mmioh_size"},
        "numaOptimized": {"mo_name": "BiosVfNUMAOptimized", "prop_name": "vp_numa_optimized"},
        "networkStack": {"mo_name": "BiosVfNetworkStack", "prop_name": "vp_network_stack"},
        "nvmdimmPerformConfig": {"mo_name": "BiosVfNvmdimmPerformConfig", "prop_name": "vp_nvmdimm_perform_config"},
        "osBootWatchdogTimer": {"mo_name": "BiosVfOSBootWatchdogTimer", "prop_name": "vp_os_boot_watchdog_timer"},
        "osBootWatchdogTimerPolicy": {"mo_name": "BiosVfOSBootWatchdogTimerPolicy", "prop_name": "vp_os_boot_watchdog_timer_policy"},
        "osBootWatchdogTimerTimeout": {"mo_name": "BiosVfOSBootWatchdogTimerTimeout", "prop_name": "vp_os_boot_watchdog_timer_timeout"},
        "onboard10gbitLom": {"mo_name": "BiosVfOnboardNIC", "prop_name": "vp_onboard10_gbit_lom"},
        "onboardGbitLom": {"mo_name": "BiosVfOnboardNIC", "prop_name": "vp_onboard_gbit_lom"},
        "onboardScuStorageSupport": {"mo_name": "BiosVfOnboardStorage", "prop_name": "vp_onboard_scu_storage_support"},
        "onboardScuStorageSwStack": {"mo_name": "BiosVfOnboardStorageSWStack", "prop_name": "vp_onboard_scu_storage_sw_stack"},
        "operationMode": {"mo_name": "BiosVfOperationMode", "prop_name": "vp_operation_mode"},
        "optimizedPowerMode": {"mo_name": "BiosVfOptimizedPowerMode", "prop_name": "vp_optimized_power_mode"},
        "outOfBandMgmtPort": {"mo_name": "BiosVfOutOfBandMgmtPort", "prop_name": "vp_out_of_band_mgmt_port"},
        "pciOptionRoMs": {"mo_name": "BiosVfPCIOptionROMs", "prop_name": "vp_pci_option_ro_ms"},
        "acsControlGpu1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u1_state"},
        "acsControlGpu2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u2_state"},
        "acsControlGpu3state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u3_state"},
        "acsControlGpu4state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u4_state"},
        "acsControlGpu5state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u5_state"},
        "acsControlGpu6state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u6_state"},
        "acsControlGpu7state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u7_state"},
        "acsControlGpu8state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_gp_u8_state"},
        "acsControlSlot11state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_slot11_state"},
        "acsControlSlot12state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_slot12_state"},
        "acsControlSlot13state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_slot13_state"},
        "acsControlSlot14state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_acs_control_slot14_state"},
        "pcieSlotMraid1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_mrai_d1_link_speed"},
        "pcieSlotMraid1optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_mrai_d1_option_rom"},
        "pcieSlotMraid2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_mrai_d2_link_speed"},
        "pcieSlotMraid2optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_mrai_d2_option_rom"},
        "pcieSlotMstorraidLinkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_mstorraid_link_speed"},
        "pcieSlotMstorraidOptionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_mstorraid_option_rom"},
        "pcieSlotNvme1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme1_link_speed"},
        "pcieSlotNvme1optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme1_option_rom"},
        "pcieSlotNvme2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme2_link_speed"},
        "pcieSlotNvme2optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme2_option_rom"},
        "pcieSlotNvme3linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme3_link_speed"},
        "pcieSlotNvme3optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme3_option_rom"},
        "pcieSlotNvme4linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme4_link_speed"},
        "pcieSlotNvme4optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme4_option_rom"},
        "pcieSlotNvme5linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme5_link_speed"},
        "pcieSlotNvme5optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme5_option_rom"},
        "pcieSlotNvme6linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme6_link_speed"},
        "pcieSlotNvme6optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_pcie_slot_nvme6_option_rom"},
        "slot10linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot10_link_speed"},
        "slot10state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot10_state"},
        "slot11linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot11_link_speed"},
        "slot11state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot11_state"},
        "slot12linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot12_link_speed"},
        "slot12state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot12_state"},
        "slot13state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot13_state"},
        "slot14state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot14_state"},
        "slot1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot1_link_speed"},
        "slot1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot1_state"},
        "slot2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot2_link_speed"},
        "slot2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot2_state"},
        "slot3linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot3_link_speed"},
        "slot3state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot3_state"},
        "slot4linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot4_link_speed"},
        "slot4state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot4_state"},
        "slot5linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot5_link_speed"},
        "slot5state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot5_state"},
        "slot6linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot6_link_speed"},
        "slot6state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot6_state"},
        "slot7linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot7_link_speed"},
        "slot7state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot7_state"},
        "slot8linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot8_link_speed"},
        "slot8state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot8_state"},
        "slot9linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot9_link_speed"},
        "slot9state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot9_state"},
        "slotFlomLinkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_flom_link_speed"},
        "slotFrontNvme10linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme10_link_speed"},
        "slotFrontNvme10optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme10_option_rom"},
        "slotFrontNvme11linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme11_link_speed"},
        "slotFrontNvme11optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme11_option_rom"},
        "slotFrontNvme12linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme12_link_speed"},
        "slotFrontNvme12optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme12_option_rom"},
        "slotFrontNvme13linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme13_link_speed"},
        "slotFrontNvme13optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme13_option_rom"},
        "slotFrontNvme14linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme14_link_speed"},
        "slotFrontNvme14optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme14_option_rom"},
        "slotFrontNvme15linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme15_link_speed"},
        "slotFrontNvme15optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme15_option_rom"},
        "slotFrontNvme16linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme16_link_speed"},
        "slotFrontNvme16optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme16_option_rom"},
        "slotFrontNvme17linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme17_link_speed"},
        "slotFrontNvme17optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme17_option_rom"},
        "slotFrontNvme18linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme18_link_speed"},
        "slotFrontNvme18optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme18_option_rom"},
        "slotFrontNvme19linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme19_link_speed"},
        "slotFrontNvme19optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme19_option_rom"},
        "slotFrontNvme1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme1_link_speed"},
        "slotFrontNvme1optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme1_option_rom"},
        "slotFrontNvme20linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme20_link_speed"},
        "slotFrontNvme20optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme20_option_rom"},
        "slotFrontNvme21linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme21_link_speed"},
        "slotFrontNvme21optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme21_option_rom"},
        "slotFrontNvme22linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme22_link_speed"},
        "slotFrontNvme22optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme22_option_rom"},
        "slotFrontNvme23linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme23_link_speed"},
        "slotFrontNvme23optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme23_option_rom"},
        "slotFrontNvme24linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme24_link_speed"},
        "slotFrontNvme24optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme24_option_rom"},
        "slotFrontNvme2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme2_link_speed"},
        "slotFrontNvme2optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme2_option_rom"},
        "slotFrontNvme3linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme3_link_speed"},
        "slotFrontNvme3optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme3_option_rom"},
        "slotFrontNvme4linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme4_link_speed"},
        "slotFrontNvme4optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme4_option_rom"},
        "slotFrontNvme5linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme5_link_speed"},
        "slotFrontNvme5optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme5_option_rom"},
        "slotFrontNvme6linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme6_link_speed"},
        "slotFrontNvme6optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme6_option_rom"},
        "slotFrontNvme7linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme7_link_speed"},
        "slotFrontNvme7optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme7_option_rom"},
        "slotFrontNvme8linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme8_link_speed"},
        "slotFrontNvme8optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme8_option_rom"},
        "slotFrontNvme9linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme9_link_speed"},
        "slotFrontNvme9optionRom": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_nvme9_option_rom"},
        "slotFrontSlot5linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_slot5_link_speed"},
        "slotFrontSlot6linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_front_slot6_link_speed"},
        "slotGpu1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u1_state"},
        "slotGpu2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u2_state"},
        "slotGpu3state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u3_state"},
        "slotGpu4state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u4_state"},
        "slotGpu5state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u5_state"},
        "slotGpu6state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u6_state"},
        "slotGpu7state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u7_state"},
        "slotGpu8state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_gp_u8_state"},
        "slotHbaLinkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_hba_link_speed"},
        "slotHbaState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_hba_state"},
        "slotLom1link": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_lo_m1_link"},
        "slotLom2link": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_lo_m2_link"},
        "slotMlomLinkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_mlom_link_speed"},
        "slotMlomState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_mlom_state"},
        "slotMraidLinkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_mraid_link_speed"},
        "slotMraidState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_mraid_state"},
        "slotMezzState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_mezz_state"},
        "slotN10state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n10_state"},
        "slotN11state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n11_state"},
        "slotN12state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n12_state"},
        "slotN13state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n13_state"},
        "slotN14state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n14_state"},
        "slotN15state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n15_state"},
        "slotN16state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n16_state"},
        "slotN17state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n17_state"},
        "slotN18state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n18_state"},
        "slotN19state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n19_state"},
        "slotN1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n1_state"},
        "slotN20state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n20_state"},
        "slotN21state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n21_state"},
        "slotN22state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n22_state"},
        "slotN23state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n23_state"},
        "slotN24state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n24_state"},
        "slotN2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n2_state"},
        "slotN3state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n3_state"},
        "slotN4state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n4_state"},
        "slotN5state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n5_state"},
        "slotN6state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n6_state"},
        "slotN7state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n7_state"},
        "slotN8state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n8_state"},
        "slotN9state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n9_state"},
        "slotRaidLinkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_raid_link_speed"},
        "slotRaidState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_raid_state"},
        "slotRearNvme1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme1_link_speed"},
        "slotRearNvme1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme1_state"},
        "slotRearNvme2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme2_link_speed"},
        "slotRearNvme2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme2_state"},
        "slotRearNvme3linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme3_link_speed"},
        "slotRearNvme3state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme3_state"},
        "slotRearNvme4linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme4_link_speed"},
        "slotRearNvme4state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme4_state"},
        "slotRearNvme5state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme5_state"},
        "slotRearNvme6state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme6_state"},
        "slotRearNvme7state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme7_state"},
        "slotRearNvme8state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_rear_nvme8_state"},
        "slotRiser1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser1_link_speed"},
        "slotRiser1slot1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser1_slot1_link_speed"},
        "slotRiser1slot2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser1_slot2_link_speed"},
        "slotRiser1slot3linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser1_slot3_link_speed"},
        "slotRiser2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser2_link_speed"},
        "slotRiser2slot4linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser2_slot4_link_speed"},
        "slotRiser2slot5linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser2_slot5_link_speed"},
        "slotRiser2slot6linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_riser2_slot6_link_speed"},
        "slotSasState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sas_state"},
        "slotSsdSlot1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ssd_slot1_link_speed"},
        "slotSsdSlot2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ssd_slot2_link_speed"},
        "pcIeRasSupport": {"mo_name": "BiosVfPCIeRASSupport", "prop_name": "vp_pc_ie_ras_support"},
        "pcIeSsdHotPlugSupport": {"mo_name": "BiosVfPCIeSSDHotPlugSupport", "prop_name": "vp_pc_ie_ssd_hot_plug_support"},
        "postErrorPause": {"mo_name": "BiosVfPOSTErrorPause", "prop_name": "vp_post_error_pause"},
        "psata": {"mo_name": "BiosVfPSata", "prop_name": "vp_p_sata"},
        "pstateCoordType": {"mo_name": "BiosVfPStateCoordType", "prop_name": "vp_p_state_coord_type"},
        "packageCstateLimit": {"mo_name": "BiosVfPackageCStateLimit", "prop_name": "vp_package_c_state_limit"},
        "panicHighWatermark": {"mo_name": "BiosVfPanicHighWatermark", "prop_name": "vp_panic_high_watermark"},
        "partialCacheLineSparing": {"mo_name": "BiosVfPartialCacheLineSparing", "prop_name": "vp_partial_cache_line_sparing"},
        "partialMirrorModeConfig": {"mo_name": "BiosVfPartialMirrorModeConfig", "prop_name": "vp_partial_mirror_mode_config"},
        "partialMirrorPercent": {"mo_name": "BiosVfPartialMirrorPercent", "prop_name": "vp_partial_mirror_percent"},
        "partialMirrorValue1": {"mo_name": "BiosVfPartialMirrorValue1", "prop_name": "vp_partial_mirror_value1"},
        "partialMirrorValue2": {"mo_name": "BiosVfPartialMirrorValue2", "prop_name": "vp_partial_mirror_value2"},
        "partialMirrorValue3": {"mo_name": "BiosVfPartialMirrorValue3", "prop_name": "vp_partial_mirror_value3"},
        "partialMirrorValue4": {"mo_name": "BiosVfPartialMirrorValue4", "prop_name": "vp_partial_mirror_value4"},
        "patrolScrub": {"mo_name": "BiosVfPatrolScrub", "prop_name": "vp_patrol_scrub"},
        "patrolScrubDuration": {"mo_name": "BiosVfPatrolScrubDuration", "prop_name": "vp_patrol_scrub_duration"},
        "pchPciePllSsc": {"mo_name": "BiosVfPchPciePllSsc", "prop_name": "vp_pch_pcie_pll_ssc"},
        "pchUsb30mode": {"mo_name": "BiosVfPchUsb30Mode", "prop_name": "vp_pch_usb30_mode"},
        "pciRomClp": {"mo_name": "BiosVfPciRomClp", "prop_name": "vp_pci_rom_clp"},
        "pcieAriSupport": {"mo_name": "BiosVfPcieARISupport", "prop_name": "vp_pcie_ari_support"},
        "pciePllSsc": {"mo_name": "BiosVfPciePllSsc", "prop_name": "vp_pcie_pll_ssc"},
        "pcieSlotsCdnEnable": {"mo_name": "BiosVfPcieSlotsCdnEnable", "prop_name": "vp_pcie_slots_cdn_enable"},
        "postPackageRepair": {"mo_name": "BiosVfPostPackageRepair", "prop_name": "vp_post_package_repair"},
        "popSupport": {"mo_name": "BiosVfPowerOnPasswordSupport", "prop_name": "vp_pop_support"},
        "prmrrSize": {"mo_name": "BiosVfPrmrrSize", "prop_name": "vp_prmrr_size"},
        "processorC1e": {"mo_name": "BiosVfProcessorC1E", "prop_name": "vp_processor_c1_e"},
        "processorC3report": {"mo_name": "BiosVfProcessorC3Report", "prop_name": "vp_processor_c3_report"},
        "processorC6report": {"mo_name": "BiosVfProcessorC6Report", "prop_name": "vp_processor_c6_report"},
        "processorCstate": {"mo_name": "BiosVfProcessorCState", "prop_name": "vp_processor_c_state"},
        "pwrPerfTuning": {"mo_name": "BiosVfPwrPerfTuning", "prop_name": "vp_pwr_perf_tuning"},
        "qpiLinkFrequency": {"mo_name": "BiosVfQPIConfig", "prop_name": "vp_qpi_link_frequency"},
        "qpiLinkSpeed": {"mo_name": "BiosVfQpiLinkSpeed", "prop_name": "vp_qpi_link_speed"},
        "qpiSnoopMode": {"mo_name": "BiosVfQpiSnoopMode", "prop_name": "vp_qpi_snoop_mode"},
        "resizeBarSupport": {"mo_name": "BiosVfResizeBarSupport", "prop_name": "vp_resize_bar_support"},
        "resumeOnAcPowerLoss": {"mo_name": "BiosVfResumeOnACPowerLoss", "prop_name": "vp_resume_on_ac_power_loss"},
        "runtimePostPackageRepair": {"mo_name": "BiosVfRuntimePostPackageRepair", "prop_name": "vp_runtime_post_package_repair"},
        "sev": {"mo_name": "BiosVfSEV", "prop_name": "vp_sev"},
        "sha1pcrBank": {"mo_name": "BiosVfSHA1PCRBank", "prop_name": "vp_sh_a1_pcr_bank"},
        "sha256pcrBank": {"mo_name": "BiosVfSHA256PCRBank", "prop_name": "vp_sh_a256_pcr_bank"},
        "sha384pcrBank": {"mo_name": "BiosVfSHA384PCRBank", "prop_name": "vp_sh_a384_pcr_bank"},
        "smee": {"mo_name": "BiosVfSMEE", "prop_name": "vp_smee"},
        "sataModeSelect": {"mo_name": "BiosVfSataModeSelect", "prop_name": "vp_sata_mode_select"},
        "selectMemoryRasConfiguration": {"mo_name": "BiosVfSelectMemoryRASConfiguration", "prop_name": "vp_select_memory_ras_configuration"},
        "selectPprType": {"mo_name": "BiosVfSelectPprType", "prop_name": "vp_select_ppr_type"},
        "serialMux": {"mo_name": "BiosVfSerialMux", "prop_name": "vp_serial_mux"},
        "serialPortAenable": {"mo_name": "BiosVfSerialPortAEnable", "prop_name": "vp_serial_port_a_enable"},
        "enableSgx": {"mo_name": "BiosVfSgx", "prop_name": "vp_enable_sgx"},
        "sgxAutoRegistrationAgent": {"mo_name": "BiosVfSgx", "prop_name": "vp_sgx_auto_registration_agent"},
        "sgxFactoryReset": {"mo_name": "BiosVfSgx", "prop_name": "vp_sgx_factory_reset"},
        "sgxLeWr": {"mo_name": "BiosVfSgx", "prop_name": "vp_sgx_le_wr"},
        "sgxPackageInfoInBandAccess": {"mo_name": "BiosVfSgx", "prop_name": "vp_sgx_package_info_in_band_access"},
        "sgxQos": {"mo_name": "BiosVfSgx", "prop_name": "vp_sgx_qos"},
        "sgxEpoch0": {"mo_name": "BiosVfSgxEpoch", "prop_name": "vp_sgx_epoch0"},
        "sgxEpoch1": {"mo_name": "BiosVfSgxEpoch", "prop_name": "vp_sgx_epoch1"},
        "sgxLePubKeyHash0": {"mo_name": "BiosVfSgxLePubKeyHash", "prop_name": "vp_sgx_le_pub_key_hash0"},
        "sgxLePubKeyHash1": {"mo_name": "BiosVfSgxLePubKeyHash", "prop_name": "vp_sgx_le_pub_key_hash1"},
        "sgxLePubKeyHash2": {"mo_name": "BiosVfSgxLePubKeyHash", "prop_name": "vp_sgx_le_pub_key_hash2"},
        "sgxLePubKeyHash3": {"mo_name": "BiosVfSgxLePubKeyHash", "prop_name": "vp_sgx_le_pub_key_hash3"},
        "singlePctlEnable": {"mo_name": "BiosVfSinglePCTLEnable", "prop_name": "vp_single_pctl_enable"},
        "smtMode": {"mo_name": "BiosVfSmtMode", "prop_name": "vp_smt_mode"},
        "snoopyModeFor2lm": {"mo_name": "BiosVfSnoopyModeFor2LM", "prop_name": "vp_snoopy_mode_for2_lm"},
        "snoopyModeForAd": {"mo_name": "BiosVfSnoopyModeForAD", "prop_name": "vp_snoopy_mode_for_ad"},
        "sparingMode": {"mo_name": "BiosVfSparingMode", "prop_name": "vp_sparing_mode"},
        "srIov": {"mo_name": "BiosVfSrIov", "prop_name": "vp_sr_iov"},
        "snc": {"mo_name": "BiosVfSubNumaClustering", "prop_name": "vp_snc"},
        "svmMode": {"mo_name": "BiosVfSvmMode", "prop_name": "vp_svm_mode"},
        "tpmControl": {"mo_name": "BiosVfTPMControl", "prop_name": "vp_tpm_control"},
        "tpmPendingOperation": {"mo_name": "BiosVfTPMControl", "prop_name": "vp_tpm_pending_operation"},
        "tsme": {"mo_name": "BiosVfTSME", "prop_name": "vp_tsme"},
        "txtSupport": {"mo_name": "BiosVfTXTSupport", "prop_name": "vp_txt_support"},
        "tpmPpiRequired": {"mo_name": "BiosVfTpmPpiRequired", "prop_name": "vp_tpm_ppi_required"},
        "tpmSupport": {"mo_name": "BiosVfTpmSupport", "prop_name": "vp_tpm_support"},
        "ucsmBootOrderRule": {"mo_name": "BiosVfUCSMBootOrderRuleControl", "prop_name": "vp_ucsm_boot_order_rule"},
        "ufsDisable": {"mo_name": "BiosVfUFSDisable", "prop_name": "vp_ufs_disable"},
        "upiLinkEnablement": {"mo_name": "BiosVfUPILinkEnablement", "prop_name": "vp_upi_link_enablement"},
        "upiPowerManagement": {"mo_name": "BiosVfUPIPowerManagement", "prop_name": "vp_upi_power_management"},
        "makeDeviceNonBootable": {"mo_name": "BiosVfUSBBootConfig", "prop_name": "vp_make_device_non_bootable"},
        "usbEmul6064": {"mo_name": "BiosVfUSBEmulation", "prop_name": "vp_usb_emul6064"},
        "allUsbDevices": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_all_usb_devices"},
        "usbPortFront": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_front"},
        "usbPortInternal": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_internal"},
        "usbPortKvm": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_kvm"},
        "usbPortRear": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_rear"},
        "usbPortSdCard": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_sd_card"},
        "usbPortVmedia": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_v_media"},
        "uefiMemMapSpFlagEn": {"mo_name": "BiosVfUefiMemMapSpFlagEn", "prop_name": "vp_uefi_mem_map_sp_flag_en"},
        "umaBasedClustering": {"mo_name": "BiosVfUmaBasedClustering", "prop_name": "vp_uma_based_clustering"},
        "usbXhciSupport": {"mo_name": "BiosVfUsbXhciSupport", "prop_name": "vp_usb_xhci_support"},
        "vmdEnable": {"mo_name": "BiosVfVMDEnable", "prop_name": "vp_vmd_enable"},
        "vgaPriority": {"mo_name": "BiosVfVgaPriority", "prop_name": "vp_vga_priority"},
        "virtualNuma": {"mo_name": "BiosVfVirtualNuma", "prop_name": "vp_virtual_numa"},
        "volMemoryMode": {"mo_name": "BiosVfVolMemoryMode", "prop_name": "vp_vol_memory_mode"},
        "workLoadConfig": {"mo_name": "BiosVfWorkLoadConfig", "prop_name": "vp_work_load_config"},
        "x2apicOptOut": {"mo_name": "BiosVfX2ApicOptOut", "prop_name": "vp_x2_apic_opt_out"},
        "xptPrefetch": {"mo_name": "BiosVfXPTPrefetch", "prop_name": "vp_xpt_prefetch"},
        "xptRemotePrefetch": {"mo_name": "BiosVfXPTRemotePrefetch", "prop_name": "vp_xpt_remote_prefetch"},
    },

    "modular": {
        "aspmSupport": {"mo_name": "BiosVfASPMSupport", "prop_name": "vp_aspm_support"},
        "adjacentCacheLinePrefetch": {"mo_name": "BiosVfAdjacentCacheLinePrefetch", "prop_name": "vp_adjacent_cache_line_prefetch"},
        "advancedMemTest": {"mo_name": "BiosVfAdvancedMemTest", "prop_name": "vp_advanced_mem_test"},
        "altitude": {"mo_name": "BiosVfAltitude", "prop_name": "vp_altitude"},
        "assertNmiOnPerr": {"mo_name": "BiosVfAssertNMIOnPERR", "prop_name": "vp_assert_nmi_on_perr"},
        "assertNmiOnSerr": {"mo_name": "BiosVfAssertNMIOnSERR", "prop_name": "vp_assert_nmi_on_serr"},
        "autoCcState": {"mo_name": "BiosVfAutoCCState", "prop_name": "vp_auto_cc_state"},
        "autonumousCstateEnable": {"mo_name": "BiosVfAutonumousCstateEnable", "prop_name": "vp_autonumous_cstate_enable"},
        "bmeDmaMitigation": {"mo_name": "BiosVfBmeDmaMitigation", "prop_name": "vp_bme_dma_mitigation"},
        "bootOptionRetry": {"mo_name": "BiosVfBootOptionRetry", "prop_name": "vp_boot_option_retry"},
        "bootPerformanceMode": {"mo_name": "BiosVfBootPerformanceMode", "prop_name": "vp_boot_performance_mode"},
        "cdnEnable": {"mo_name": "BiosVfCDNEnable", "prop_name": "vp_cdn_enable"},
        "cdnSupport": {"mo_name": "BiosVfCDNSupport", "prop_name": "vp_cdn_support"},
        "cpuEnergyPerformance": {"mo_name": "BiosVfCPUEnergyPerformance", "prop_name": "vp_cpu_energy_performance"},
        "cpuFrequencyFloor": {"mo_name": "BiosVfCPUFrequencyFloor", "prop_name": "vp_cpu_frequency_floor"},
        "cpuPerformance": {"mo_name": "BiosVfCPUPerformance", "prop_name": "vp_cpu_performance"},
        "cpuPowerManagement": {"mo_name": "BiosVfCPUPowerManagement", "prop_name": "vp_cpu_power_management"},
        "crQos": {"mo_name": "BiosVfCRQos", "prop_name": "vp_cr_qos"},
        "ciscoAdaptiveMemTraining": {"mo_name": "BiosVfCiscoAdaptiveMemTraining", "prop_name": "vp_cisco_adaptive_mem_training"},
        "ciscoDebugLevel": {"mo_name": "BiosVfCiscoDebugLevel", "prop_name": "vp_cisco_debug_level"},
        "ciscoOpromLaunchOptimization": {"mo_name": "BiosVfCiscoOpromLaunchOptimization", "prop_name": "vp_cisco_oprom_launch_optimization"},
        "ckeLowPolicy": {"mo_name": "BiosVfCkeLowPolicy", "prop_name": "vp_cke_low_policy"},
        "cmciEnable": {"mo_name": "BiosVfCmciEnable", "prop_name": "vp_cmci_enable"},
        "configTdpLevel": {"mo_name": "BiosVfConfigTDPLevel", "prop_name": "vp_config_tdp_level"},
        "baudRate": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_baud_rate"},
        "consoleRedirection": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_console_redirection"},
        "flowControl": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_flow_control"},
        "puttyKeyPad": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_putty_key_pad"},
        "redirectionAfterPost": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_redirection_after_post"},
        "terminalType": {"mo_name": "BiosVfConsoleRedirection", "prop_name": "vp_terminal_type"},
        "coreMultiProcessing": {"mo_name": "BiosVfCoreMultiProcessing", "prop_name": "vp_core_multi_processing"},
        "crfastgoConfig": {"mo_name": "BiosVfCrfastgoConfig", "prop_name": "vp_crfastgo_config"},
        "dcpmmFirmwareDowngrade": {"mo_name": "BiosVfDCPMMFirmwareDowngrade", "prop_name": "vp_dcpmm_firmware_downgrade"},
        "ipPrefetch": {"mo_name": "BiosVfDCUPrefetch", "prop_name": "vp_ip_prefetch"},
        "streamerPrefetch": {"mo_name": "BiosVfDCUPrefetch", "prop_name": "vp_streamer_prefetch"},
        "dramClockThrottling": {"mo_name": "BiosVfDRAMClockThrottling", "prop_name": "vp_dram_clock_throttling"},
        "demandScrub": {"mo_name": "BiosVfDemandScrub", "prop_name": "vp_demand_scrub"},
        "directCacheAccess": {"mo_name": "BiosVfDirectCacheAccess", "prop_name": "vp_direct_cache_access"},
        "dramRefreshRate": {"mo_name": "BiosVfDramRefreshRate", "prop_name": "vp_dram_refresh_rate"},
        "eppEnable": {"mo_name": "BiosVfEPPEnable", "prop_name": "vp_epp_enable"},
        "eppProfile": {"mo_name": "BiosVfEPPProfile", "prop_name": "vp_epp_profile"},
        "enableClockSpreadSpec": {"mo_name": "BiosVfEnableClockSpreadSpec", "prop_name": "vp_enable_clock_spread_spec"},
        "energyEfficientTurbo": {"mo_name": "BiosVfEnergyEfficientTurbo", "prop_name": "vp_energy_efficient_turbo"},
        "enhancedIntelSpeedStepTech": {"mo_name": "BiosVfEnhancedIntelSpeedStepTech", "prop_name": "vp_enhanced_intel_speed_step_tech"},
        "executeDisableBit": {"mo_name": "BiosVfExecuteDisableBit", "prop_name": "vp_execute_disable_bit"},
        "extendedApic": {"mo_name": "BiosVfExtendedAPIC", "prop_name": "vp_extended_apic"},
        "frb2enable": {"mo_name": "BiosVfFRB2Enable", "prop_name": "vp_fr_b2_enable"},
        "hwpmEnable": {"mo_name": "BiosVfHWPMEnable", "prop_name": "vp_hwpm_enable"},
        "hardwarePrefetch": {"mo_name": "BiosVfHardwarePrefetch", "prop_name": "vp_hardware_prefetch"},
        "imcInterleave": {"mo_name": "BiosVfIMCInterleave", "prop_name": "vp_imc_interleave"},
        "iohResource": {"mo_name": "BiosVfIOHResource", "prop_name": "vp_ioh_resource"},
        "ipv4http": {"mo_name": "BiosVfIPV4HTTP", "prop_name": "vp_ip_v4_http"},
        "ipv4pxe": {"mo_name": "BiosVfIPV4PXE", "prop_name": "vp_ip_v4_pxe"},
        "ipv6http": {"mo_name": "BiosVfIPV6HTTP", "prop_name": "vp_ip_v6_http"},
        "ipv6pxe": {"mo_name": "BiosVfIPV6PXE", "prop_name": "vp_ip_v6_pxe"},
        "intelHyperThreadingTech": {"mo_name": "BiosVfIntelHyperThreadingTech", "prop_name": "vp_intel_hyper_threading_tech"},
        "intelSpeedSelect": {"mo_name": "BiosVfIntelSpeedSelect", "prop_name": "vp_intel_speed_select"},
        "intelTurboBoostTech": {"mo_name": "BiosVfIntelTurboBoostTech", "prop_name": "vp_intel_turbo_boost_tech"},
        "intelVtdatsSupport": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtdats_support"},
        "intelVtdCoherencySupport": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtd_coherency_support"},
        "intelVtdInterruptRemapping": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtd_interrupt_remapping"},
        "intelVtdPassThroughDmaSupport": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vtd_pass_through_dma_support"},
        "intelVtForDirectedIo": {"mo_name": "BiosVfIntelVTForDirectedIO", "prop_name": "vp_intel_vt_for_directed_io"},
        "intelVirtualizationTechnology": {"mo_name": "BiosVfIntelVirtualizationTechnology", "prop_name": "vp_intel_virtualization_technology"},
        "ktiPrefetch": {"mo_name": "BiosVfKTIPrefetch", "prop_name": "vp_kti_prefetch"},
        "llcPrefetch": {"mo_name": "BiosVfLLCPrefetch", "prop_name": "vp_llc_prefetch"},
        "lomPort0state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port0_state"},
        "lomPort1state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port1_state"},
        "lomPort2state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port2_state"},
        "lomPort3state": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_port3_state"},
        "lomPortsAllState": {"mo_name": "BiosVfLOMPortOptionROM", "prop_name": "vp_lom_ports_all_state"},
        "legacyUsbSupport": {"mo_name": "BiosVfLegacyUSBSupport", "prop_name": "vp_legacy_usb_support"},
        "lvDdrMode": {"mo_name": "BiosVfLvDIMMSupport", "prop_name": "vp_lv_ddr_mode"},
        "mmcfgBase": {"mo_name": "BiosVfMMCFGBase", "prop_name": "vp_mmcfg_base"},
        "channelInterLeave": {"mo_name": "BiosVfMemoryInterleave", "prop_name": "vp_channel_inter_leave"},
        "memoryInterLeave": {"mo_name": "BiosVfMemoryInterleave", "prop_name": "vp_memory_inter_leave"},
        "rankInterLeave": {"mo_name": "BiosVfMemoryInterleave", "prop_name": "vp_rank_inter_leave"},
        "memoryMappedIoAbove4gb": {"mo_name": "BiosVfMemoryMappedIOAbove4GB", "prop_name": "vp_memory_mapped_io_above4_gb"},
        "memoryRefreshRate": {"mo_name": "BiosVfMemoryRefreshRate", "prop_name": "vp_memory_refresh_rate"},
        "memorySizeLimit": {"mo_name": "BiosVfMemorySizeLimit", "prop_name": "vp_memory_size_limit"},
        "memoryThermalThrottling": {"mo_name": "BiosVfMemoryThermalThrottling", "prop_name": "vp_memory_thermal_throttling"},
        "mirroringMode": {"mo_name": "BiosVfMirroringMode", "prop_name": "vp_mirroring_mode"},
        "numaOptimized": {"mo_name": "BiosVfNUMAOptimized", "prop_name": "vp_numa_optimized"},
        "networkStack": {"mo_name": "BiosVfNetworkStack", "prop_name": "vp_network_stack"},
        "nvmdimmPerformConfig": {"mo_name": "BiosVfNvmdimmPerformConfig", "prop_name": "vp_nvmdimm_perform_config"},
        "osBootWatchdogTimer": {"mo_name": "BiosVfOSBootWatchdogTimer", "prop_name": "vp_os_boot_watchdog_timer"},
        "osBootWatchdogTimerPolicy": {"mo_name": "BiosVfOSBootWatchdogTimerPolicy", "prop_name": "vp_os_boot_watchdog_timer_policy"},
        "osBootWatchdogTimerTimeout": {"mo_name": "BiosVfOSBootWatchdogTimerTimeout", "prop_name": "vp_os_boot_watchdog_timer_timeout"},
        "onboard10gbitLom": {"mo_name": "BiosVfOnboardNIC", "prop_name": "vp_onboard10_gbit_lom"},
        "onboardGbitLom": {"mo_name": "BiosVfOnboardNIC", "prop_name": "vp_onboard_gbit_lom"},
        "onboardScuStorageSupport": {"mo_name": "BiosVfOnboardStorage", "prop_name": "vp_onboard_scu_storage_support"},
        "onboardScuStorageSwStack": {"mo_name": "BiosVfOnboardStorageSWStack", "prop_name": "vp_onboard_scu_storage_sw_stack"},
        "outOfBandMgmtPort": {"mo_name": "BiosVfOutOfBandMgmtPort", "prop_name": "vp_out_of_band_mgmt_port"},
        "pciOptionRoMs": {"mo_name": "BiosVfPCIOptionROMs", "prop_name": "vp_pci_option_ro_ms"},
        "ioeSlot1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_ioe_slot1_state"},
        "ioeSlot2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_ioe_slot2_state"},
        "slot10linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot10_link_speed"},
        "slot10state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot10_state"},
        "slot1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot1_link_speed"},
        "slot1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot1_state"},
        "slot2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot2_link_speed"},
        "slot2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot2_state"},
        "slot3linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot3_link_speed"},
        "slot3state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot3_state"},
        "slot4linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot4_link_speed"},
        "slot4state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot4_state"},
        "slot5linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot5_link_speed"},
        "slot5state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot5_state"},
        "slot6linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot6_link_speed"},
        "slot6state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot6_state"},
        "slot7linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot7_link_speed"},
        "slot7state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot7_state"},
        "slot8linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot8_link_speed"},
        "slot8state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot8_state"},
        "slot9linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot9_link_speed"},
        "slot9state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot9_state"},
        "slotHbaState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_hba_state"},
        "slotIoeMezz1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioe_mezz1_link_speed"},
        "slotIoeMezz1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioe_mezz1_state"},
        "slotIoenvMe1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioenv_me1_link_speed"},
        "slotIoenvMe1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioenv_me1_state"},
        "slotIoenvMe2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioenv_me2_link_speed"},
        "slotIoenvMe2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioenv_me2_state"},
        "slotIoeSlot1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioe_slot1_link_speed"},
        "slotIoeSlot2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_ioe_slot2_link_speed"},
        "slotMlomState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_mlom_state"},
        "slotMlinkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_m_link_speed"},
        "slotMezzState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_mezz_state"},
        "slotN1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n1_state"},
        "slotN2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_n2_state"},
        "slotSasState": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sas_state"},
        "slotSbLom1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sb_lom1_state"},
        "slotSbMezz1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sb_mezz1_link_speed"},
        "slotSbMezz1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sb_mezz1_state"},
        "slotSbMezz2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sb_mezz2_link_speed"},
        "slotSbMezz2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sb_mezz2_state"},
        "slotSbnvMe1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sbnv_me1_link_speed"},
        "slotSbnvMe1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sbnv_me1_state"},
        "slotSbnvMe2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sbnv_me2_link_speed"},
        "slotSbnvMe2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sbnv_me2_state"},
        "slotSioc1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sio_c1_link_speed"},
        "slotSioc1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sio_c1_state"},
        "slotSioc2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sio_c2_link_speed"},
        "slotSioc2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sio_c2_state"},
        "slotSiocnvMe1linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_siocnv_me1_link_speed"},
        "slotSiocnvMe2linkSpeed": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_siocnv_me2_link_speed"},
        "slotSiocNvme1state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sioc_nvme1_state"},
        "slotSiocNvme2state": {"mo_name": "BiosVfPCISlotOptionROMEnable", "prop_name": "vp_slot_sioc_nvme2_state"},
        "pcIeRasSupport": {"mo_name": "BiosVfPCIeRASSupport", "prop_name": "vp_pc_ie_ras_support"},
        "postErrorPause": {"mo_name": "BiosVfPOSTErrorPause", "prop_name": "vp_post_error_pause"},
        "psata": {"mo_name": "BiosVfPSata", "prop_name": "vp_p_sata"},
        "pstateCoordType": {"mo_name": "BiosVfPStateCoordType", "prop_name": "vp_p_state_coord_type"},
        "packageCstateLimit": {"mo_name": "BiosVfPackageCStateLimit", "prop_name": "vp_package_c_state_limit"},
        "panicHighWatermark": {"mo_name": "BiosVfPanicHighWatermark", "prop_name": "vp_panic_high_watermark"},
        "partialMirrorModeConfig": {"mo_name": "BiosVfPartialMirrorModeConfig", "prop_name": "vp_partial_mirror_mode_config"},
        "partialMirrorPercent": {"mo_name": "BiosVfPartialMirrorPercent", "prop_name": "vp_partial_mirror_percent"},
        "partialMirrorValue1": {"mo_name": "BiosVfPartialMirrorValue1", "prop_name": "vp_partial_mirror_value1"},
        "partialMirrorValue2": {"mo_name": "BiosVfPartialMirrorValue2", "prop_name": "vp_partial_mirror_value2"},
        "partialMirrorValue3": {"mo_name": "BiosVfPartialMirrorValue3", "prop_name": "vp_partial_mirror_value3"},
        "partialMirrorValue4": {"mo_name": "BiosVfPartialMirrorValue4", "prop_name": "vp_partial_mirror_value4"},
        "patrolScrub": {"mo_name": "BiosVfPatrolScrub", "prop_name": "vp_patrol_scrub"},
        "patrolScrubDuration": {"mo_name": "BiosVfPatrolScrubDuration", "prop_name": "vp_patrol_scrub_duration"},
        "pchUsb30mode": {"mo_name": "BiosVfPchUsb30Mode", "prop_name": "vp_pch_usb30_mode"},
        "pciRomClp": {"mo_name": "BiosVfPciRomClp", "prop_name": "vp_pci_rom_clp"},
        "pciePllSsc": {"mo_name": "BiosVfPciePllSsc", "prop_name": "vp_pcie_pll_ssc"},
        "popSupport": {"mo_name": "BiosVfPowerOnPasswordSupport", "prop_name": "vp_pop_support"},
        "processorC1e": {"mo_name": "BiosVfProcessorC1E", "prop_name": "vp_processor_c1_e"},
        "processorC3report": {"mo_name": "BiosVfProcessorC3Report", "prop_name": "vp_processor_c3_report"},
        "processorC6report": {"mo_name": "BiosVfProcessorC6Report", "prop_name": "vp_processor_c6_report"},
        "processorCstate": {"mo_name": "BiosVfProcessorCState", "prop_name": "vp_processor_c_state"},
        "pwrPerfTuning": {"mo_name": "BiosVfPwrPerfTuning", "prop_name": "vp_pwr_perf_tuning"},
        "qpiLinkFrequency": {"mo_name": "BiosVfQPIConfig", "prop_name": "vp_qpi_link_frequency"},
        "qpiLinkSpeed": {"mo_name": "BiosVfQpiLinkSpeed", "prop_name": "vp_qpi_link_speed"},
        "qpiSnoopMode": {"mo_name": "BiosVfQpiSnoopMode", "prop_name": "vp_qpi_snoop_mode"},
        "resumeOnAcPowerLoss": {"mo_name": "BiosVfResumeOnACPowerLoss", "prop_name": "vp_resume_on_ac_power_loss"},
        "sataModeSelect": {"mo_name": "BiosVfSataModeSelect", "prop_name": "vp_sata_mode_select"},
        "selectMemoryRasConfiguration": {"mo_name": "BiosVfSelectMemoryRASConfiguration", "prop_name": "vp_select_memory_ras_configuration"},
        "selectPprType": {"mo_name": "BiosVfSelectPprType", "prop_name": "vp_select_ppr_type"},
        "serialPortAenable": {"mo_name": "BiosVfSerialPortAEnable", "prop_name": "vp_serial_port_a_enable"},
        "snoopyModeFor2lm": {"mo_name": "BiosVfSnoopyModeFor2LM", "prop_name": "vp_snoopy_mode_for2_lm"},
        "snoopyModeForAd": {"mo_name": "BiosVfSnoopyModeForAD", "prop_name": "vp_snoopy_mode_for_ad"},
        "sparingMode": {"mo_name": "BiosVfSparingMode", "prop_name": "vp_sparing_mode"},
        "srIov": {"mo_name": "BiosVfSrIov", "prop_name": "vp_sr_iov"},
        "snc": {"mo_name": "BiosVfSubNumaClustering", "prop_name": "vp_snc"},
        "tpmControl": {"mo_name": "BiosVfTPMControl", "prop_name": "vp_tpm_control"},
        "txtSupport": {"mo_name": "BiosVfTXTSupport", "prop_name": "vp_txt_support"},
        "ucsmBootOrderRule": {"mo_name": "BiosVfUCSMBootOrderRuleControl", "prop_name": "vp_ucsm_boot_order_rule"},
        "ufsDisable": {"mo_name": "BiosVfUFSDisable", "prop_name": "vp_ufs_disable"},
        "makeDeviceNonBootable": {"mo_name": "BiosVfUSBBootConfig", "prop_name": "vp_make_device_non_bootable"},
        "usbEmul6064": {"mo_name": "BiosVfUSBEmulation", "prop_name": "vp_usb_emul6064"},
        "allUsbDevices": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_all_usb_devices"},
        "usbPortFront": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_front"},
        "usbPortInternal": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_internal"},
        "usbPortKvm": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_kvm"},
        "usbPortRear": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_rear"},
        "usbPortSdCard": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_sd_card"},
        "usbPortVmedia": {"mo_name": "BiosVfUSBPortsConfig", "prop_name": "vp_usb_port_v_media"},
        "usbXhciSupport": {"mo_name": "BiosVfUsbXhciSupport", "prop_name": "vp_usb_xhci_support"},
        "vgaPriority": {"mo_name": "BiosVfVgaPriority", "prop_name": "vp_vga_priority"},
        "workLoadConfig": {"mo_name": "BiosVfWorkLoadConfig", "prop_name": "vp_work_load_config"},
        "xptPrefetch": {"mo_name": "BiosVfXPTPrefetch", "prop_name": "vp_xpt_prefetch"},
    },

}
